Subject: Re: bug#57904: 28.2; Holding capslock key on colemak layout does not keep erasing

From: Po Lu <[email-masked]>
Date: Sun, 18 Sep 2022 15:19:19 +0800

Nikita Romanyuk <[email-masked]> writes:

> Date: Sat, 17 Sep 2022 21:42:37 +0300
> Message-ID: <[email-masked]>
> --text follows this line--
>
> I'm running GNU/Emacs on Wayland wlroots compositor Sway, via Xwayland
> and I'm using colemak keyboard layout which has Caps-lock key bound to
> Backspace. I expect holding Caps-lock to behave the same as holding
> Backspace. However, it does not. When I hold Backspace it starts erasing
> text, until I unhold it. But when I hold Caps-lock key, it erases one
> single character and stops. This is incorrect.

Do the extra <backspace> events you expect reach Emacs?  You can check
by running the following code:

  (while t (message "%s %s" (float-time) (read-char)))

and checking to see if the timestamp increases while Caps Lock is held
down.